rapidjson::UTF32< CharType > Struct Template Reference

UTF-32 encoding. More...

`#include <encodings.h>`

Inheritance diagram for rapidjson::UTF32< CharType >:

## Public Types

enum | { supportUnicode = 1 }
typedef CharType | Ch

## Public Member Functions

| RAPIDJSON_STATIC_ASSERT (sizeof(Ch) >=4)

## Static Public Member Functions

template<typename OutputStream >
static void | Encode (OutputStream &os, unsigned codepoint)
template<typename OutputStream >
static void | EncodeUnsafe (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static bool | Validate (InputStream &is, OutputStream &os)

## Detailed Description

### template<typename CharType = unsigned>
struct rapidjson::UTF32< CharType >

UTF-32 encoding.

http://en.wikipedia.org/wiki/UTF-32

Template Parameters

  CharType | Type for storing 32-bit UTF-32 data. Default is unsigned. C++11 may use char32_t instead.

Note
  implements Encoding concept
  For in-memory access, no need to concern endianness. The code units and code points are represented by CPU's endianness. For streaming, use UTF32LE and UTF32BE, which handle endianness.

The documentation for this struct was generated from the following file:

- include/rapidjson/encodings.h